%define upstream_name	 RPC-XML
%define upstream_version 0.79

%global __requires_exclude perl\\(Apache[A-Za-z_:]*\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A set of classes for core data, message and XML handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(LWP) >= 5.834.0
BuildRequires: perl(Module::Load) >= 0.240.0
BuildRequires: perl(Scalar::Util) >= 1.330.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(XML::Parser) >= 2.310.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

Obsoletes:  perl-RPC-XML-Apache <= 0.740.0

%description
The RPC::XML package is a reference implementation of the XML-RPC
standard. As a reference implementation, it is geared more towards clarity and
readability than efficiency.

The package provides a set of classes for creating values to pass to the
constructors for requests and responses. These are lightweight objects, most
of which are implemented as tied scalars so as to associate specific type
information with the value. Classes are also provided for requests, responses,
faults (errors) and a parser based on the XML::Parser package from CPAN.

This module does not actually provide any transport implementation or
server basis. For these, see RPC::XML::Client and RPC::XML::Server,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README ex
%{_bindir}/*
%{perl_vendorlib}/
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.790.0-5pclos2017
- rebuild against updates

